PDA

View Full Version : Speaking of PHP 5...


Ryan M.
07-30-2004, 02:02 PM
Well, the title is in reference to the openFIRST thing about compatibility.

Anyway, my real question is: I have it set up (PHP 5) to supposedly load the php_mysql extension. However, when PHP is loaded, (it's configured as a module for Apache 2) it gives me a "unable to load php_mysql.dll" error.

Any ideas about what this might be/an example of loading MySQL as an extension to PHP would be appreciated. :)

Venkatesh
07-30-2004, 02:09 PM
Hello,

I had enough trouble with the same problem early on (with PHP5b1). One thing that I had forgotten to do was to place libmysql.dll and libdb.dll in the Windows System (or system32, based on OS) directory.

Another thing to make sure is that php.ini (in the windows or winnt directory) has the MySQL extension enabled. By default, it is commented out.

Finally, try running Apache in console mode, as opposed to service mode. You will see dialogs when (and if) PHP can't find files or dlls.

Good luck

Ryan M.
07-30-2004, 02:26 PM
Thanks to Vankatesh. Got it working... :D

Timothy D. Ginn
08-01-2004, 03:46 PM
Thanks to Vankatesh. Got it working... :D

Congratulations,

Just a heads up, if you're having issues with anything now that you've moved to PHP 5 this is worth a read:

http://www.php.net/migration5